Skip to main content
POST
/
v1
/
jobs
/
submit
Seedream V5 Lite — Image to Image / Edit
curl --request POST \
  --url https://api.muvi.video/v1/jobs/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": {
    "prompt": "<string>",
    "image_urls": [
      {}
    ],
    "resolution": "<string>",
    "aspect_ratio": "<string>",
    "num_images": "<string>"
  }
}
'
{
  "jobId": "<string>",
  "status": "<string>",
  "estimatedCompletionTime": "<string>",
  "costMicroCents": 123
}

Documentation Index

Fetch the complete documentation index at: https://developer.pixelbyte.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Edit images with strong preservation of facial features, lighting, and color tones using ByteDance+ Seedream V5 Lite. Supports up to 10 reference images and batch generation of up to 4 images per request.
PropertyValue
ProviderByteDance+
ModelSeedream V5 Lite
CapabilityImage to Image / Edit
Base Cost35,000 micro-cents/image ($0.035/image)
Processing Time~60 seconds

Request Body

model
string
required
Model slug. Use bytedance-plus/seedream-v5-lite/image-to-image.
input
object
required
Input parameters for image editing.
webhookUrl
string
HTTPS URL to receive a webhook notification when the job completes or fails.

Pricing

Base cost: 35,000 micro-cents per image ($0.035/image)
finalCost = baseCost × num_images
FactorOptionMultiplier
Number of Images11x
22x
33x
44x
Default cost: 1 image = 35,000 × 1 = 35,000 micro-cents ($0.035)

Response

jobId
string
Unique identifier for the submitted job.
status
string
Initial job status. Always "pending" on successful submission.
estimatedCompletionTime
string
ISO 8601 timestamp of the estimated completion time.
costMicroCents
number
The cost of the job in micro-cents.

Code Examples

curl -X POST https://api.muvi.video/v1/jobs/submit \
  -H "Authorization: Bearer $PIXELBYTE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "bytedance-plus/seedream-v5-lite/image-to-image",
    "input": {
      "prompt": "Add a futuristic city background while preserving the subject",
      "image_urls": ["https://example.com/image.jpg"]
    }
  }'